Loading...
Searching...
No Matches
VerticalBlockMatrix.h File Reference

A matrix with column blocks of pre-defined sizes. More...

Go to the source code of this file.

## Classes

class | gtsam::VerticalBlockMatrix
| This class stores a dense matrix and allows it to be accessed as a collection of vertical blocks. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

A matrix with column blocks of pre-defined sizes.

Used in JacobianFactor and GaussianConditional.

Author
  Richard Roberts

Date
  Sep 18, 2010